Bug 216102 - Review Request: python-twisted-conch - Twisted SSHv2 implementation
Review Request: python-twisted-conch - Twisted SSHv2 implementation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 171543 221310
  Show dependency treegraph
 
Reported: 2006-11-17 05:09 EST by Thomas Vander Stichele
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-28 18:32:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Vander Stichele 2006-11-17 05:09:01 EST
Spec URL: http://thomas.apestaart.org/download/pkg/fedora-5-x86_64-extras/python-twisted-conch-0.7.0-3.fc5/python-twisted-conch.spec
SRPM URL: http://thomas.apestaart.org/download/pkg/fedora-5-x86_64-extras/python-twisted-conch-0.7.0-3.fc5/python-twisted-conch-0.7.0-3.fc5.src.rpm
Description:
Twisted is an event-based framework for internet applications.

Conch is an SSHv2 implementation written in Python. SSH is a protocol designed
to allow remote access to shells and commands, but it is generic enough to
allow everything from TCP forwarding to generic filesystem access. Since conch
is written in Python, it interfaces well with other Python projects, such as
Imagination. Conch also includes a implementations of the telnet and vt102
protocols, as well as support for rudamentary line editing behaviors. A new
implementation of Twisted's Manhole application is also included, featuring
server-side input history and interactive syntax coloring.
Comment 1 Kevin Fenzi 2006-12-16 13:51:35 EST
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
0236162d53cf7f34ed341d9179e7783b  TwistedConch-0.7.0.tar.bz2
0236162d53cf7f34ed341d9179e7783b  TwistedConch-0.7.0.tar.bz2.1
See below - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

x86_64/i386 - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

See below - Should build in mock.
i386/x86_64 - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Same comment as from the python-twisted-names review about the %{python} macro
You will be maintaining these packages so it's your call, but it doesn't
do anything useful for this fedora extras spec IMHO.

2. Might add the LICENSE and NEWS files in as %doc?

3. Needs BuildRequires: python-devel for fc7/devel.

4. rpmlint says:

E: python-twisted-conch no-binary
(which can be ignored in this case)
Comment 2 Thomas Vander Stichele 2006-12-26 09:40:07 EST
http://thomas.apestaart.org/download/pkg/fedora-6-i386-extras/python-twisted-conch-0.7.0-4.fc6/

incorporated changes suggested
Comment 3 Kevin Fenzi 2006-12-26 15:31:29 EST
All those changes look good... 

1 isn't really a blocker. 
2 and 3 are fixed. 
4 isn't a issue. 

I don't see any blockers, this package is APPROVED. 

Don't forget to close this review request with NEXTRELEASE once it's been
imported and built. 
Comment 4 Thomas Vander Stichele 2006-12-27 09:14:44 EST
imported, waiting for branch to build

Note You need to log in before you can comment on or make changes to this bug.